<?php
// ##### Création de la page d'aide #####

// Ajouter un sous-menu "Aide" sous le menu Encarts
function pg_encarts_ajouter_sous_menu_aide() {
	add_submenu_page(
		'edit.php?post_type=encart',				// Slug du menu parent (le CPT "Encarts")
		'Aide PG Encarts',							// Titre de la page
		'Aide',										// Texte du lien dans le menu
		'edit_posts',								// Capacité requise pour accéder à ce sous-menu
		'pg-encarts-aide',							// Slug du sous-menu
		'pg_encarts_afficher_aide'	// Fonction qui affiche la page d'aide
	);
}
add_action('admin_menu', 'pg_encarts_ajouter_sous_menu_aide');

// Contenu de la page d'aide
function pg_encarts_afficher_aide() {
	echo '<div class="wrap">';
	echo '<a href="https://pgconcept.com/" target="_blank"><img src="' . PG_ENCARTS_URL . 'assets/pgconcept.jpg" width="100%"></a>';
	echo '<h1>Aide PG Encarts</h1>';

	echo '<h2>A quoi sert PG Encarts ?</h2>';
	echo '<p><a href="https://pgconcept.com/plugins/pg-encarts/" target="_blank">PG Encarts</a> est un plugin conçu pour gérer et afficher des encarts de contenu réutilisables sur votre site WordPress. Contrairement aux blocs réutilisables de Gutenberg ou à la bibliothèque Divi par exemple, PG Encarts offre une gestion centralisée et indépendante des constructeurs de pages.</p>';
	echo '<p><strong>Avantages principaux :</strong></p>';
	echo '<ul>';
	echo '<li><strong>- Indépendance :</strong> Les encarts sont accessibles et modifiables indépendamment des pages ou articles où ils sont utilisés.</li>';
	echo '<li><strong>- Compatibilité universelle :</strong> PG Encarts fonctionne avec n\'importe quel éditeur ou constructeur de page, comme Gutenberg, Divi, Elementor, etc.</li>';
	echo '<li><strong>- Gestion simplifiée :</strong> Tous les encarts sont centralisés dans un seul menu, ce qui facilite leur recherche, modification et réutilisation.</li>';
	echo '<li><strong>- Accessibilité pour les utilisateurs non techniques :</strong> Les encarts permettent à des personnes ayant une connaissance limitée de WordPress de facilement mettre à jour des zones de contenu sur leur site sans nécessiter de modifier directement les pages.</li>';
	echo '<li><strong>- Flexibilité :</strong> Un encart peut contenir du texte, des images, des vidéos ou tout autre contenu supporté par WordPress et vos plugins actifs.</li>';
	echo '</ul>';

	echo '<h2>Mode d\'emploi</h2>';
	
	echo '<h3>1. Créer un Encart</h3>';
	echo '<ul>';
	echo '<li>Rendez-vous dans le menu "<a href="' . get_site_url() . '/wp-admin/edit.php?post_type=encart">Encarts</a>" et cliquez sur "<a href="' . get_site_url() . '/wp-admin/post-new.php?post_type=encart">Ajouter un encart</a>". Remplissez le titre et le contenu de votre encart, définissez son slug et optionnellement sa catégorie, puis publiez-le.</li>';
	echo '<li>Il est essentiel de définir un slug pertinent, car celui-ci sera utilisé pour afficher l\'encart via le shortcode.</li>';
	echo '<li>Vous pouvez utiliser l\'éditeur classique, l\'éditeur de blocs Gutenberg ou n\'importe quel constructeur de page comme Divi ou Elementor pour créer vos encarts.</li>';
	echo '<li>Selon votre constructeur de page, il peut être nécessaire de l\'activer pour le CPT "Encarts". Par exemple, pour Divi, rendez-vous dans le menu <i>Divi</i> > <i>Options du thème</i> > <i>Créateur</i> et assurez-vous que le constructeur Divi est bien activé pour "Encarts"</li>';
	echo '<li>Un encart ne se limite pas à du texte. Il peut contenir n\'importe quel bloc, module ou composition que votre éditeur supporte, comme des images, des vidéos ou des galeries... et même d\'autres encarts !</li>';
	echo '</ul>';

	echo '<h3>2. Catégoriser vos Encarts</h3>';
	echo '<ul>';
	echo '<li>Vous pouvez organiser vos encarts en utilisant des catégories. Pour ajouter ou modifier des catégories, rendez-vous dans "<a href="' . get_site_url() . '/wp-admin/edit-tags.php?taxonomy=categorie_encart&post_type=encart"/>Catégories encarts</a>" dans le menu Encarts.</li>';
	echo '<li>Les catégories sont hiérarchisées, ce qui signifie que vous pouvez créer des sous-catégories pour mieux organiser vos contenus.</li>';
	echo '</ul>';

	echo '<h3>3. Afficher un Encart</h3>';
	echo '<ul>';
	echo '<li>Pour afficher un encart sur une page ou un article, utilisez le shortcode suivant : <code>[afficher_contenu_encart slug="votre-slug"]</code>, en remplaçant <code>votre-slug</code> par le slug de l\'encart que vous souhaitez afficher.</li>';
	echo '<li>Le shortcode peut également être copié à partir de la colonne "Shortcode" affichée dans la <a href="' . get_site_url() . '/wp-admin/edit.php?post_type=encart">liste des encarts</a>.</li>';
	echo '</ul>';
	echo '<p><strong>Marche à suivre selon votre éditeur :</strong></p>';
	echo '<ul>';
	echo '<li><strong>- Éditeur classique :</strong> Collez le shortcode directement dans le contenu de votre page ou article.</li>';
	echo '<li><strong>- Gutenberg :</strong> Ajoutez un bloc "Shortcode", puis collez le shortcode dans ce bloc.</li>';
	echo '<li><strong>- Divi Visual Builder :</strong> Utilisez un module "Code" et insérez le shortcode dans ce module.</li>';
	echo '<li><strong>- Elementor :</strong> Ajoutez un widget "Shortcode", puis collez le shortcode dans le champ dédié.</li>';
	echo '<li><strong>- Autres constructeurs :</strong> Utilisez le module ou widget approprié pour insérer un shortcode.</li>';
	echo '</ul>';

	echo '<h2>Support</h2>';
	echo '<p>Pour toute question ou problème, contactez l\'auteur du plugin via <a href="https://pgconcept.com/infos/contact" target="_blank">ce lien</a> ou par email à <a href="mailto:contact@pgconcept.com?subject=Plugin%20PG%20Encarts" targer="_blank">contact@pgconcept.com</a>.</p>';
	
	echo '<h2>Crédits</h2>';
	echo '<p>Ce plugin est proposé gratuitement par <a href="https://pgconcept.com/" target="_blank">PG Concept, Agence Web & SEO à Auray</a>.</p>';

	echo '</div>';
}
