<?php
// ##### Création du CPT Encart ##### //

// CPT
function pg_encarts_cpt_declarer_encart() {
	/**
	 * CPT : Encarts
	 */
	$labels = [
		"name" => esc_html__( "Encarts", "custom-post-type-ui" ),
		"singular_name" => esc_html__( "Encart", "custom-post-type-ui" ),
		"menu_name" => esc_html__( "Encarts", "custom-post-type-ui" ),
		"all_items" => esc_html__( "Tous les encarts", "custom-post-type-ui" ),
		"add_new" => esc_html__( "Ajouter un encart", "custom-post-type-ui" ),
		"add_new_item" => esc_html__( "Ajouter un encart", "custom-post-type-ui" ),
		"edit_item" => esc_html__( "Modifier l'encart", "custom-post-type-ui" ),
		"new_item" => esc_html__( "Nouvel encart", "custom-post-type-ui" ),
		"view_item" => esc_html__( "Voir l'encart", "custom-post-type-ui" ),
		"view_items" => esc_html__( "Voir les encarts", "custom-post-type-ui" ),
		"search_items" => esc_html__( "Rechercher des encarts", "custom-post-type-ui" ),
		"not_found" => esc_html__( "Aucun encart trouvé", "custom-post-type-ui" ),
		"not_found_in_trash" => esc_html__( "Aucun encart trouvé dans la corbeille", "custom-post-type-ui" ),
		"featured_image" => esc_html__( "Image mise en avant pour cet encart", "custom-post-type-ui" ),
		"set_featured_image" => esc_html__( "Définir l'image mise en avant pour cet encart", "custom-post-type-ui" ),
		"remove_featured_image" => esc_html__( "Retirer l'image mise en avant pour cet encart", "custom-post-type-ui" ),
		"use_featured_image" => esc_html__( "Utiliser comme image mise en avant pour cet encart", "custom-post-type-ui" ),
		"archives" => esc_html__( "Archives d'encart", "custom-post-type-ui" ),
		"insert_into_item" => esc_html__( "Insérer dans l'encart", "custom-post-type-ui" ),
		"uploaded_to_this_item" => esc_html__( "Téléversé sur cet encart", "custom-post-type-ui" ),
		"filter_items_list" => esc_html__( "Filtrer la liste des encarts", "custom-post-type-ui" ),
		"items_list_navigation" => esc_html__( "Navigation de liste d'encarts", "custom-post-type-ui" ),
		"items_list" => esc_html__( "Liste des encarts", "custom-post-type-ui" ),
		"attributes" => esc_html__( "Attributs des encarts", "custom-post-type-ui" ),
		"name_admin_bar" => esc_html__( "Encart", "custom-post-type-ui" ),
		"item_published" => esc_html__( "Encart publié", "custom-post-type-ui" ),
		"item_published_privately" => esc_html__( "Encart publié en privé", "custom-post-type-ui" ),
		"item_reverted_to_draft" => esc_html__( "Encart repassé en brouillon", "custom-post-type-ui" ),
		"item_trashed" => esc_html__( "Encart mis à la corbeille", "custom-post-type-ui" ),
		"item_scheduled" => esc_html__( "Encart planifié", "custom-post-type-ui" ),
		"item_updated" => esc_html__( "Encart mis à jour", "custom-post-type-ui" ),
	];
	$args = [
		"label" => esc_html__( "Encarts", "custom-post-type-ui" ),	// Nom principal du CPT affiché dans l'administration.
		"labels" => $labels,										// Ensemble des libellés personnalisés définis précédemment.
		"description" => "Gestion d'encarts réutilisables",			// Description du CPT (facultative).
		"public" => true,											// Rend le CPT accessible publiquement.
		"publicly_queryable" => true,								// Active l'accès public via URL
		"show_ui" => true,											// Affiche l'interface d'administration pour le CPT.
		"show_in_rest" => true,										// Active l'accès à l'API REST de WordPress.
		"has_archive" => false,										// Désactive la page d'archives du CPT.
		"hierarchical" => false,									// Définit le CPT comme non hiérarchique (pas de posts enfants).
		"rewrite" => [ "slug" => "encart", "with_front" => true ],	// Détermine le slug URL personnalisé du CPT.
		"menu_icon" => "dashicons-text",							// Icône affichée dans le menu d'administration.
		"supports" => [ "title", "editor" ],						// Active les champs "Titre" et "Contenu" pour le CPT.
		"taxonomies" => [ "categorie_encart" ],						// Associe la taxonomie personnalisée "Catégorie Encart".
	];
	register_post_type( "encart", $args );
}
add_action('init', 'pg_encarts_cpt_declarer_encart');

// Taxonomie Catégorie encart
// Cette taxonomie est facultative mais particulièrement utile si vous créez un grand nombre d'encarts que vous souhaitez pouvoir classer.
function pg_encarts_cpt_declarer_taxo_categorie_encart() {
	/**
	 * Taxonomie : Catégories encarts
	 */
	$labels = [
		"name" => esc_html__( "Catégories encarts", "custom-post-type-ui" ),
		"singular_name" => esc_html__( "Catégorie encart", "custom-post-type-ui" ),
	];
	$args = [
		"label" => esc_html__( "Catégories encarts", "custom-post-type-ui" ),	// Nom principal de la taxonomie affiché dans l'administration.
		"labels" => $labels,													// Ensemble des libellés personnalisés définis précédemment.
		"public" => false,														// Rend la taxonomie inaccessible publiquement.
		"hierarchical" => true,													// Permet la création de sous-catégories.
		"show_ui" => true,														// Affiche l'interface d'administration pour cette taxonomie.
		"rewrite" => [ "slug" => "categorie_encart" ],							// Détermine le slug URL personnalisé pour la taxonomie.
		"show_admin_column" => true,											// Affiche une colonne dans la liste des articles associés.
		"show_in_rest" => true,													// Active l'accès à l'API REST de WordPress.
	];
	register_taxonomy( "categorie_encart", [ "encart" ], $args );
}
add_action( 'init', 'pg_encarts_cpt_declarer_taxo_categorie_encart' );
